
QGIS Application - Bug report #14584

Default style can not be copied to another computer

2016-03-29 07:54 AM - Andre Jesus

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.14.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 22555

Description

I have 10 machines with QGIS. Since v2.8 I set de default style to all my features and copy the qgis.qmldb file to the other computers. 

I updated to 2.14.1 and copied the qgis.qmldb file but It doesn't apply the styles.

Copying 2.8.6 qgis.qmldb to 2.14.1 didn't work, so I manually set all styles, layer by layer.

What I tried so far:

1. Copy the qgis.qmldb file from PC-a to PC-b

2. Set the default style to a single layer (to create the qgis.qmldb file) in PC-b, close QGIS, copy from PC-a to PC-b

3. Full replacement of PC-b's .qgis2 folder for PC-a's

Nothing seems to work. Is it a bug or the qgis.qmldb is useless now?

History

#1 - 2016-03-29 01:36 PM - Andre Jesus

I found out the connection name was the problem. They must have the same name otherwise It won't work.

extra info: 

Windows 7 x64

QGIS 2.14.1 x64 connecting to MSSQL Server database

#2 - 2016-03-30 12:17 AM - Jürgen Fischer

- Subject changed from Defautl style can not be copied to another computer to Default style can not be copied to another computer

#3 - 2016-03-30 12:18 AM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed

Files

qgis_2.14.1.qmldb 3.21 MB 2016-03-29 Andre Jesus

qgis_2.8.6.qmldb 1.46 MB 2016-03-29 Andre Jesus
